Subject: Re: bug#58489: 29.0.50; commit 74c07733698b95eb455edcafab8634a700a3194f breaks GTK version for some Ubuntu distributions

From: Uwe Brauer <[email-masked]>
Date: Fri, 14 Oct 2022 09:58:00 +0200

>>> "PL" == Po Lu <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> | XSetWMSizeHints: 414 51 width_inc: 9 height_inc: 17
>> | XSetWMSizeHints: 414 85 width_inc: 9 height_inc: 17
>> | XSetWMSizeHints: 414 85 width_inc: 9 height_inc: 17
>> | XSetWMSizeHints: 414 153 width_inc: 9 height_inc: 17
>> | XSetWMSizeHints: 414 153 width_inc: 9 height_inc: 17

> That's odd.  Unfortunately the previous code resulted in menu bar size
> hints set by GTK not being respected, so I'm at odds wrt what to do
> here.  On one hand, your window manager is clearly buggy, but it used to
> work.  I guess a user option to enable the previous behavior would be
> the most reasonable course of action.

> Does anyone else have an opinion here?

Two comments:

    1. The compiling error I mentioned is not important?

    2. Since I use athena, and this you fixed, for me that fix is not
       urgent, besides I have to admit that I should upgrade Ubuntu.
-- 
I strongly condemn Putin's war of aggression against the Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the ban of Russia from SWIFT.
I support the EU membership of the Ukraine.